Prisijungti

VLC 1.1.0

  • 4 Kov '10

Kaip žinote greitu laiku išeis VLC 1.1.0 versija. Tačiau ją galima jau išbandyti dabar:
Pirmiausia pašaliname senus paketus:

sudo apt-get remove --purge gthumb gthumb-data

Pridedame pragraminės įrangos saugyklą

sudo add-apt-repository ppa:nilarimogard/webupd8

Jei jau turime VLC gThumb instaliuotus:

sudo apt-get update && sudo apt-get dist-upgrade

Jei ne darome instaliaciją:

sudo apt-get update && sudo apt-get install vlc gthumb x264

(Pagal webupd8.org)

Deja, pats susidūriau su problema:
Po šios komandos:
sudo apt-get update && sudo apt-get install vlc gthumb x264

Instaliacija vyko, bet gavau štai ką:

Ar norite tęsti [T/n]? t
(Skaitoma duomenų bazė ... šiuo metu įdiegta 207358 failų ir aplankų.)
Išpakuojamas archyvas libx264-83 (iš .../libx264-83_2%3a0.85.1442+svn20100219-git781d300~ppa1~lucid1_i386.deb) ...
dpkg: klaida apdorojant /var/cache/apt/archives/libx264-83_2%3a0.85.1442+svn20100219-git781d300~ppa1~lucid1_i386.deb (--unpack):
trying to overwrite '/usr/lib/libx264.so.85', which is also in package libx264-85 2:0.85.1442.1+git781d30-1
dpkg-deb: sub-procesas paste nuslopintas signalo (Broken pipe)
Pažymime anksčiau nepažymėtą paketą vlc.
Išpakuojamas archyvas vlc (iš .../vlc_1.1.0+svn20100222-gitb3e2929~ppa6~lucid1_i386.deb) ...
Apdorojami man-db trigeriai...
Apdorojami menu trigeriai...
Apdorojami python-gmenu trigeriai...
Rebuilding /usr/share/applications/desktop.lt_LT.utf8.cache...
Apdorojami desktop-file-utils trigeriai...
Apdorojami python-support trigeriai...
Apdorojant įvyko klaidų:
/var/cache/apt/archives/libx264-83_2%3a0.85.1442+svn20100219-git781d300~ppa1~lucid1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Yra man neiaiški problema su šiuo paketu:
libx264-83

Paleidus sudo apt-get install -f gaunu vėlgi:

Bus įdiegti šie NAUJI paketai:
libx264-83
0 atnaujinti, 1 naujai įdiegti, 0 bus pašalinta ir 0 neatnaujinta.
1 nepilnai įdiegti ar pašalinti.
Reikia parsiųsti 0B/280kB archyvų.
Po šios operacijos bus naudojama 688kB papildomos disko vietos.
Ar norite tęsti [T/n]? t
(Skaitoma duomenų bazė ... šiuo metu įdiegta 207439 failų ir aplankų.)
Išpakuojamas archyvas libx264-83 (iš .../libx264-83_2%3a0.85.1442+svn20100219-git781d300~ppa1~lucid1_i386.deb) ...
dpkg: klaida apdorojant /var/cache/apt/archives/libx264-83_2%3a0.85.1442+svn20100219-git781d300~ppa1~lucid1_i386.deb (--unpack):
trying to overwrite '/usr/lib/libx264.so.85', which is also in package libx264-85 2:0.85.1442.1+git781d30-1
dpkg-deb: sub-procesas paste nuslopintas signalo (Broken pipe)
Apdorojant įvyko klaidų:
/var/cache/apt/archives/libx264-83_2%3a0.85.1442+svn20100219-git781d300~ppa1~lucid1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

VLC grotuvas lyg ir įsirašė, bet per sinaptec rašo jog vlc paketas sugadintas, perrašant vėl gi ta pati klaida.

Ką pasiūlytumėte padaryti?

  • 4 Kov '10

Kokią versiją pas tave? Čia skirtą 10.04.

  • 4 Kov '10

Čia ir bandau ant 10.04.

  • 4 Kov '10

Jau susitvarkiau, pašalinau per sinapteca 2 paketus:
libx264-dev ir libx264-85.
Atrodo veikia gerai.

  • 4 Kov '10

Pabandžiau ir aš. Klaidą tą pati.
Pas mane tik libx264-85 ir su kuriuo konfliktuoją.
O su libx264-85 bus pašalinta.
ffmpeg, nome-mplayer,gstreamer0.10-ffmpeg,gstreamer0.10-plugins-bad-multiverse,libavcodec-extra-52,libavdevice52,libavfilter0,libavformat52,
libmjpegtools-1.9,libquicktime1,libx264-85,mplayer,mplayer-nogui,vlc ,vlc-nox
vlc-plugin-pulse.

A ne per riebiai? Geriau palauksiu normalaus surinkimo.

  • 4 Kov '10

Na aš taip ar taip, dažniausiai naudoju VLC...
Bet po instaliacijos įsirašiau papildomai iš naujo mplayer, bei parsiuntė tada kodekus jam.

  • 4 Kov '10

Iš esmės užtenka tiesiog pridėt saugyklą:
sudo add-apt-repository ppa:nilarimogard/webupd8

ir atnaujint sistemą, vlc 1.05 (ar koks pas jus yra) pats atsinaujins į 1.1 (bandyta ant ubuntu 9.10).

  • 4 Kov '10

Man visviena metė tą klaidą, tik bandant atnaujinti.

Atsakyti